Preview a preset change as a per-add-on diff (activate, stage, unchanged or console) without applying it
const url = 'https://example.com/v1/console/activation/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"family":"example","preset":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/console/activation/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "family": "example", "preset": "example" }'Previews one preset or family change as a per-add-on diff (activate, stage, unchanged or console) without applying anything.
Authorizations
Section titled “ Authorizations ”Request Body required
Section titled “ Request Body required ”object
One family to preview; name this or preset.
A preset to preview; name this or family.
Example generated
{ "family": "example", "preset": "example"}Responses
Section titled “ Responses ”OK
object
object
Example
{ "entries": [ { "action": "activate" } ]}Bad request
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}